Bug 17630 - Add the Koha::Biblio->holds method
Summary: Add the Koha::Biblio->holds method
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 17631 17736
  Show dependency treegraph
 
Reported: 2016-11-15 13:56 UTC by Jonathan Druart
Modified: 2017-12-07 22:18 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17630: Add the Koha::Biblio->holds method (3.03 KB, patch)
2016-11-15 13:59 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17630: Add the Koha::Biblio->holds method (3.10 KB, patch)
2016-11-18 13:04 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 17630: Add the Koha::Biblio->holds method (3.18 KB, patch)
2016-12-02 08:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17630: Add the Koha::Biblio->holds method (3.14 KB, patch)
2016-12-07 15:25 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-11-15 13:56:00 UTC

    
Comment 1 Jonathan Druart 2016-11-15 13:59:48 UTC
Created attachment 57491 [details] [review]
Bug 17630: Add the Koha::Biblio->holds method

This method will be useful to get the current holds placed on a given
bibliographic record.

Test plan:
  prove t/db_dependent/Koha/Biblios.t
should return green
Comment 2 Josef Moravec 2016-11-18 13:04:02 UTC
Created attachment 57644 [details] [review]
[SIGNED-OFF] Bug 17630: Add the Koha::Biblio->holds method

This method will be useful to get the current holds placed on a given
bibliographic record.

Test plan:
  prove t/db_dependent/Koha/Biblios.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Marcel de Rooy 2016-12-02 08:13:38 UTC
Created attachment 57884 [details] [review]
Bug 17630: Add the Koha::Biblio->holds method

This method will be useful to get the current holds placed on a given
bibliographic record.

Test plan:
  prove t/db_dependent/Koha/Biblios.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Jonathan Druart 2016-12-07 15:25:05 UTC
Created attachment 58012 [details] [review]
Bug 17630: Add the Koha::Biblio->holds method

This method will be useful to get the current holds placed on a given
bibliographic record.

Test plan:
  prove t/db_dependent/Koha/Biblios.t
should return green

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Jonathan Druart 2016-12-07 15:25:19 UTC
Just a rebase.
Comment 6 Kyle M Hall 2016-12-16 14:51:59 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 7 Katrin Fischer 2016-12-18 20:54:17 UTC
This won't get ported back to 16.11.x as it is an enhancement.